# frozen_string_literal: true

require_relative "lib/pdf/reader/find_text/version"

Gem::Specification.new do |spec|
  spec.name          = "pdf-reader-find_text"
  spec.version       = PDF::Reader::FindText::VERSION
  spec.authors       = ["Guillaume Dott"]
  spec.email         = ["guillaume+github@dott.fr"]

  spec.summary       = "PDF::Reader extension to find text in PDF"
  spec.description   = "PDF::Reader extension to find text in PDF and get the page and position"
  spec.homepage      = "https://code.amnesix.eu/guillaume/pdf-reader-find_text"
  spec.license       = "MIT"
  spec.required_ruby_version = ">= 2.4.0"

  spec.metadata["allowed_push_host"] = "TODO: Set to 'https://mygemserver.com'"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["changelog_uri"] = "https://code.amnesix.eu/guillaume/pdf-reader-find_text/src/branch/main/CHANGELOG.md"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject do |f|
      (f == __FILE__) || f.match(%r{\A(?:(?:test|spec|features)/|\.(?:git|travis|circleci)|appveyor)})
    end
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Uncomment to register a new dependency of your gem
  spec.add_dependency "pdf-reader", "~> 2.9.2"

  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html
end
